import 'dart:async';

import 'package:flutter/services.dart';

class CashfreePGSDK {
  //
  static Future<Map<dynamic, dynamic>> doPayment(
      Map<String, dynamic> inputs) async {
    MethodChannel _channel = const MethodChannel('cashfree_pg');
    if (_channel != null) {
      return _channel.invokeMethod('doPayment', inputs);
    } else {
      var completer = new Completer<Map<dynamic, dynamic>>();
      Map<dynamic, dynamic> failureResponse = new Map<dynamic, dynamic>();
      failureResponse['txMsg'] = 'Invalid channel';
      failureResponse['txStatus'] = 'FAILED';
      completer.complete();
      return completer.future;
    }
  }
}
